# Налаштування інтеграцій: методи API Bimp

URL: https://bimpsoft.com/help/developers/api-reference/integration-settings/

Методи API Bimp для ресурсу «Налаштування інтеграцій» (`/org2/integrationSettings/…`): 7 методів. Базова адреса: `https://app.bimpsoft.com`. Усі запити, крім входу, передають токен компанії в заголовку `access-token` — див. [Початок роботи з API](/help/developers/api-getting-started/).

| Метод | Що робить |
|---|---|
| [`POST /org2/integrationSettings/api-create`](#api-create) |  |
| [`POST /org2/integrationSettings/api-create/v2`](#api-create-v2) |  |
| [`POST /org2/integrationSettings/api-update`](#api-update) |  |
| [`POST /org2/integrationSettings/api-update/v2`](#api-update-v2) |  |
| [`POST /org2/integrationSettings/lastUploadDateChange`](#last-upload-date-change) |  |
| [`POST /org2/integrationSettings/api-read`](#api-read) |  |
| [`POST /org2/integrationSettings/api-readList`](#api-read-list) |  |

## api-create

`POST /org2/integrationSettings/api-create`

**Тіло запиту (JSON)**

| Поле | Тип | Обов'язкове | Опис |
|---|---|---|---|
| `token` | string | так |  |
| `name` | string | так |  |
| `workStatus` | number (0) \| number (1) \| number (2) | так | 0 - working \| 1 - paused \| 2 - deleted |
| `DOMAIN` | string \| null | так |  |
| `integration` | object | так |  |
| `integration.uuid` | string (uuid) | так |  |
| `integration.name` | string | так |  |
| `autoReserve` | boolean | так |  |
| `reserveByStock` | boolean | так |  |
| `overwriteExistingPayments` | boolean | так |  |
| `overwriteExistingOrders` | boolean | так |  |
| `overwriteExistingSales` | boolean | так |  |
| `deliveryService` | object | так |  |
| `deliveryService.uuid` | string (uuid) | так |  |
| `deliveryService.name` | string | так |  |
| `organization` | object | так |  |
| `organization.uuid` | string (uuid) | так |  |
| `organization.name` | string | так |  |
| `organizationForPrint` | object | так |  |
| `cashRegister` | object | так |  |
| `cashRegister.uuid` | string (uuid) | так |  |
| `cashRegister.name` | string | так |  |
| `cashPaymentType` | number (1) \| number (2) | так |  |
| `warehouse` | object \| null | так |  |
| `orderUploadFrequency` | number | так |  |
| `searchCustomerById` | boolean | так |  |
| `searchCustomerByName` | boolean | так |  |
| `searchCustomerByPhone` | boolean | так |  |
| `searchCustomerByEmail` | boolean | так |  |
| `defaultCustomer` | object \| null | так |  |
| `defaultContract` | object \| null | так |  |
| `createCustomers` | boolean | так |  |
| `createPayments` | boolean | так |  |
| `createSales` | boolean | так |  |
| `currency` | object \| null | так |  |
| `project` | object \| null | так |  |
| `activityDirection` | object \| null | так |  |
| `settlementsType` | object | так |  |
| `settlementsType.uuid` | string (uuid) | так |  |
| `settlementsType.name` | string | так |  |
| `settlementsType.type` | string | так |  |
| `searchProductById` | boolean | так |  |
| `searchProductBySku` | boolean | так |  |
| `searchProductBySkuName` | boolean | так |  |
| `searchProductByName` | boolean | так |  |
| `newProductGroup` | object \| null | так |  |
| `createProducts` | boolean | так |  |
| `statuses` | object[] \| null | так |  |
| `paymentMethods` | object[] \| null | так |  |
| `saleStatusKeyCrm` | object \| null | так |  |
| `lastUpload` | string (date-time) \| null | так |  |

**Відповідь: поле `data`**

| Поле | Тип | Опис |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"token":"string","name":"string","workStatus":"string","DOMAIN":"string","integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"autoReserve":true,"reserveByStock":true,"overwriteExistingPayments":true,"overwriteExistingOrders":true,"overwriteExistingSales":true,"deliveryService":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organization":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organizationForPrint":{},"cashRegister":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"cashPaymentType":1,"warehouse":"string","orderUploadFrequency":1,"searchCustomerById":true,"searchCustomerByName":true,"searchCustomerByPhone":true,"searchCustomerByEmail":true,"defaultCustomer":"string","defaultContract":"string","createCustomers":true,"createPayments":true,"createSales":true,"currency":"string","project":"string","activityDirection":"string","settlementsType":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string","type":"string"},"searchProductById":true,"searchProductBySku":true,"searchProductBySkuName":true,"searchProductByName":true,"newProductGroup":"string","createProducts":true,"statuses":"string","paymentMethods":"string","saleStatusKeyCrm":"string","lastUpload":"string"}'
```

## api-create/v2

`POST /org2/integrationSettings/api-create/v2`

**Тіло запиту (JSON)**

| Поле | Тип | Обов'язкове | Опис |
|---|---|---|---|
| `integration` | object | так |  |
| `integration.uuid` | string (uuid) | так |  |
| `integration.name` | string | так |  |

**Відповідь: поле `data`**

| Поле | Тип | Опис |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-create/v2' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"}}'
```

## api-update

`POST /org2/integrationSettings/api-update`

**Тіло запиту (JSON)**

| Поле | Тип | Обов'язкове | Опис |
|---|---|---|---|
| `uuid` | string (uuid) | так |  |
| `token` | string | так |  |
| `name` | string | так |  |
| `workStatus` | number (0) \| number (1) \| number (2) | так | 0 - working \| 1 - paused \| 2 - deleted |
| `DOMAIN` | string \| null | так |  |
| `integration` | object | так |  |
| `integration.uuid` | string (uuid) | так |  |
| `integration.name` | string | так |  |
| `autoReserve` | boolean | так |  |
| `reserveByStock` | boolean | так |  |
| `overwriteExistingPayments` | boolean | так |  |
| `overwriteExistingOrders` | boolean | так |  |
| `overwriteExistingSales` | boolean | так |  |
| `deliveryService` | object | так |  |
| `deliveryService.uuid` | string (uuid) | так |  |
| `deliveryService.name` | string | так |  |
| `organization` | object | так |  |
| `organization.uuid` | string (uuid) | так |  |
| `organization.name` | string | так |  |
| `organizationForPrint` | object | так |  |
| `cashRegister` | object | так |  |
| `cashRegister.uuid` | string (uuid) | так |  |
| `cashRegister.name` | string | так |  |
| `cashPaymentType` | number (1) \| number (2) | так |  |
| `warehouse` | object \| null | так |  |
| `orderUploadFrequency` | number | так |  |
| `searchCustomerById` | boolean | так |  |
| `searchCustomerByName` | boolean | так |  |
| `searchCustomerByPhone` | boolean | так |  |
| `searchCustomerByEmail` | boolean | так |  |
| `defaultCustomer` | object \| null | так |  |
| `defaultContract` | object \| null | так |  |
| `createCustomers` | boolean | так |  |
| `createPayments` | boolean | так |  |
| `createSales` | boolean | так |  |
| `currency` | object \| null | так |  |
| `project` | object \| null | так |  |
| `activityDirection` | object \| null | так |  |
| `settlementsType` | object | так |  |
| `settlementsType.uuid` | string (uuid) | так |  |
| `settlementsType.name` | string | так |  |
| `settlementsType.type` | string | так |  |
| `searchProductById` | boolean | так |  |
| `searchProductBySku` | boolean | так |  |
| `searchProductBySkuName` | boolean | так |  |
| `searchProductByName` | boolean | так |  |
| `newProductGroup` | object \| null | так |  |
| `createProducts` | boolean | так |  |
| `statuses` | object[] \| null | так |  |
| `paymentMethods` | object[] \| null | так |  |
| `saleStatusKeyCrm` | object \| null | так |  |
| `lastUpload` | string (date-time) \| null | так |  |

**Відповідь: поле `data`**

| Поле | Тип | Опис |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","token":"string","name":"string","workStatus":"string","DOMAIN":"string","integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"autoReserve":true,"reserveByStock":true,"overwriteExistingPayments":true,"overwriteExistingOrders":true,"overwriteExistingSales":true,"deliveryService":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organization":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"organizationForPrint":{},"cashRegister":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"},"cashPaymentType":1,"warehouse":"string","orderUploadFrequency":1,"searchCustomerById":true,"searchCustomerByName":true,"searchCustomerByPhone":true,"searchCustomerByEmail":true,"defaultCustomer":"string","defaultContract":"string","createCustomers":true,"createPayments":true,"createSales":true,"currency":"string","project":"string","activityDirection":"string","settlementsType":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string","type":"string"},"searchProductById":true,"searchProductBySku":true,"searchProductBySkuName":true,"searchProductByName":true,"newProductGroup":"string","createProducts":true,"statuses":"string","paymentMethods":"string","saleStatusKeyCrm":"string","lastUpload":"string"}'
```

## api-update/v2

`POST /org2/integrationSettings/api-update/v2`

**Тіло запиту (JSON)**

| Поле | Тип | Обов'язкове | Опис |
|---|---|---|---|
| `uuid` | string (uuid) | так |  |
| `integration` | object | так |  |
| `integration.uuid` | string (uuid) | так |  |
| `integration.name` | string | так |  |

**Відповідь: поле `data`**

| Поле | Тип | Опис |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-update/v2' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","integration":{"uuid":"00000000-0000-0000-0000-000000000000","name":"string"}}'
```

## lastUploadDateChange

`POST /org2/integrationSettings/lastUploadDateChange`

**Тіло запиту (JSON)**

| Поле | Тип | Обов'язкове | Опис |
|---|---|---|---|
| `lastUploadInvoice` | string (date-time) |  |  |
| `lastUnloadingLeftovers` | string (date-time) |  |  |
| `lastUnloadingPrices` | string (date-time) |  |  |
| `lastUnloadingDeals` | string (date-time) |  |  |
| `lastUnloadingAddressBooks` | string (date-time) |  |  |
| `workStatus` | number (0) \| number (1) \| number (2) | так | 0 - working \| 1 - paused \| 2 - deleted |
| `uuid` | string (uuid) | так |  |

**Відповідь: поле `data`**

| Поле | Тип | Опис |
|---|---|---|
| `uuid` | string |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/lastUploadDateChange' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"workStatus":"string","uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-read

`POST /org2/integrationSettings/api-read`

**Тіло запиту (JSON)**

| Поле | Тип | Обов'язкове | Опис |
|---|---|---|---|
| `uuid` | string (uuid) | так |  |

**Відповідь: поле `data`**

| Поле | Тип | Опис |
|---|---|---|
| `uuid` | string (uuid) |  |
| `token` | string |  |
| `name` | string |  |
| `workStatus` | number (0) \| number (1) \| number (2) | 0 - working \| 1 - paused \| 2 - deleted |
| `DOMAIN` | string \| null |  |
| `integration` | object |  |
| `integration.uuid` | string (uuid) |  |
| `integration.name` | string |  |
| `autoReserve` | boolean |  |
| `reserveByStock` | boolean |  |
| `overwriteExistingPayments` | boolean |  |
| `overwriteExistingOrders` | boolean |  |
| `overwriteExistingSales` | boolean |  |
| `deliveryService` | object |  |
| `deliveryService.uuid` | string (uuid) |  |
| `deliveryService.name` | string |  |
| `organization` | object |  |
| `organization.uuid` | string (uuid) |  |
| `organization.name` | string |  |
| `organizationForPrint` | object |  |
| `cashRegister` | object |  |
| `cashRegister.uuid` | string (uuid) |  |
| `cashRegister.name` | string |  |
| `cashPaymentType` | number (1) \| number (2) |  |
| `warehouse` | object \| null |  |
| `orderUploadFrequency` | number |  |
| `searchCustomerById` | boolean |  |
| `searchCustomerByName` | boolean |  |
| `searchCustomerByPhone` | boolean |  |
| `searchCustomerByEmail` | boolean |  |
| `defaultCustomer` | object \| null |  |
| `defaultContract` | object \| null |  |
| `createCustomers` | boolean |  |
| `createPayments` | boolean |  |
| `createSales` | boolean |  |
| `currency` | object \| null |  |
| `project` | object \| null |  |
| `activityDirection` | object \| null |  |
| `settlementsType` | object |  |
| `settlementsType.uuid` | string (uuid) |  |
| `settlementsType.name` | string |  |
| `settlementsType.type` | string |  |
| `searchProductById` | boolean |  |
| `searchProductBySku` | boolean |  |
| `searchProductBySkuName` | boolean |  |
| `searchProductByName` | boolean |  |
| `newProductGroup` | object \| null |  |
| `createProducts` | boolean |  |
| `statuses` | object[] \| null |  |
| `paymentMethods` | object[] \| null |  |
| `saleStatusKeyCrm` | object \| null |  |
| `lastUpload` | string (date-time) \| null |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-readList

`POST /org2/integrationSettings/api-readList`

**Відповідь: поле `data`**

| Поле | Тип | Опис |
|---|---|---|
| `[].uuid` | string (uuid) |  |
| `[].name` | string |  |
| `[].integration` | object |  |
| `[].integration.uuid` | string (uuid) |  |
| `[].integration.name` | string |  |
| `[].workStatus` | number (0) \| number (1) \| number (2) | 0 - working \| 1 - paused \| 2 - deleted |
| `[].lastUploadInvoice` | string |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/integrationSettings/api-readList' \
  -H 'access-token: <токен компанії>'
```

Інтерактивна документація з можливістю надіслати тестовий запит: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.
